﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace WC_MultiSelectConditionValues
{
    class CustomCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is TextUIElement)
            {
                var text = (TextUIElement)parent;
                var cell = text.GetAncestor(typeof(CellUIElement)) as CellUIElement;
                if (cell == null || cell.Cell.Column.Key != "Selected Items")
                    return;

                var list = cell.Cell.Value as List<object>;
                if (list == null)
                    return;

                if (list.Count == 0 || list.Count == 1)
                {
                    return;
                }
                if (list.Count == ((UltraCombo)cell.Cell.EditorComponentResolved).Rows.Count)
                {
                    text.Text = "All";
                    return;
                }

                text.Text = "Multiple";
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
