﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WC_MultiSelectConditionValues
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable comboTable = new DataTable();
            comboTable.Columns.Add("ID", typeof(int)).AutoIncrement = true;
            comboTable.Columns.Add("Items", typeof(string)).Unique = true;

            comboTable.Rows.Add(new object[] { null, "Item1" });
            comboTable.Rows.Add(new object[] { null, "Item2" });
            comboTable.Rows.Add(new object[] { null, "Item3" });
            comboTable.Rows.Add(new object[] { null, "Item4" });
            comboTable.Rows.Add(new object[] { null, "Item5" });
            comboTable.Rows.Add(new object[] { null, "Item6" });
            comboTable.Rows.Add(new object[] { null, "Item7" });
            comboTable.Rows.Add(new object[] { null, "Item8" });
            comboTable.Rows.Add(new object[] { null, "Item9" });
            comboTable.Rows.Add(new object[] { null, "Item10" });

            DataTable gridTable = new DataTable();
            gridTable.Columns.Add("ID", typeof(int)).AutoIncrement = true;
            gridTable.Columns.Add("Selected Items", typeof(object));

            gridTable.Rows.Add(new object[] { null, null });
            gridTable.Rows.Add(new object[] { null, null });
            gridTable.Rows.Add(new object[] { null, null });

            ultraCombo1.DataSource = comboTable;
            ultraGrid1.DataSource = gridTable;

            ultraGrid1.CreationFilter = new CustomCreationFilter();
        }

        private void ultraCombo1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            var col = e.Layout.Bands[0].Columns.Add("Checked");

            col.DataType = typeof(bool);
            col.Header.VisiblePosition = 0;

            col.Header.Caption = string.Empty;
            col.Header.CheckBoxVisibility = Infragistics.Win.UltraWinGrid.HeaderCheckBoxVisibility.Always;

            ultraCombo1.CheckedListSettings.CheckStateMember = "Checked";
            ultraCombo1.CheckedListSettings.EditorValueSource = Infragistics.Win.EditorWithComboValueSource.CheckedItems;
            ultraCombo1.CheckedListSettings.ListSeparator = "/";
            ultraCombo1.CheckedListSettings.ItemCheckArea = Infragistics.Win.ItemCheckArea.Item;
            
            ultraCombo1.DisplayMember = "Items";
            ultraCombo1.ValueMember = "ID";
            e.Layout.Bands[0].Columns["ID"].Hidden = true;

            ultraCombo1.Visible = false;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Selected Items"].EditorComponent = ultraCombo1;
        }
    }
}
